%define cvs_date 20050530

Summary: The Enlightenment window manager
Name: e17
Version: 0.17.0.pre10
Release: alt1.%cvs_date
License: BSD
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org/
Source: %name-%cvs_date.tar.bz2

Source1: E-17.xpm
Source2: start%name
Source3: %name.wmsession

#Source5: %name-menu.method
Source6: %name.xpm
Source7: %name-32.xpm

Patch0: %name-compatibility.patch

# Automatically added by buildreq on Thu Apr 21 2005
BuildRequires: edje fontconfig freetype2 gcc-c++ gcc-g77 hostinfo imlib2 libecore-devel libedje-devel libeet-devel libembryo-devel libevas-devel libjpeg-devel libstdc++-devel nvidia_glx_common xorg-x11-libs xorg-x11-mesaGL zlib-devel embryo_cc

%description
Enlightenment is a window manager.
E-17 is a non-stable Enlightenment version from CVS.

%package devel
Summary: Development headers for Enlightenment. 
Group: Development/C
Requires: %name = %version

%description devel
Development headers for Enlightenment.

%prep
%setup -q -n e
%patch0 -p1

%build
%if "%cvs_date" != "%nil"
%__libtoolize --copy --force
%__aclocal -I m4
%__autoheader
%__automake --foreign --add-missing
%__autoconf
%endif

%configure   --prefix=/usr \
	     --exec-prefix=/usr \
	     --bindir=%_x11bindir \
	     --sbindir=/usr/sbin \
	     --sysconfdir=/etc \
	     --datadir=%_datadir \
	     --includedir=/usr/include \
	     --libdir=%_libdir \
	     --libexecdir=/usr/lib \
	     --localstatedir=/var/lib

%make_build
%install

make DESTDIR=%buildroot localedir=%_datadir/locale install 
mv %buildroot%_x11bindir/enlightenment %buildroot%_x11bindir/e17

%__mkdir_p %buildroot%_sysconfdir/X11/wmsession.d
%__mkdir_p %buildroot%_x11bindir/
%__install -p -m755 %SOURCE2 %buildroot%_x11bindir/
install -D -pm 644 %SOURCE3 %buildroot%_sysconfdir/X11/wmsession.d/05E-17

#%__mkdir_p %buildroot%_sysconfdir/menu-methods/
#%__install -pD -m755 %SOURCE5 %buildroot%_sysconfdir/menu-methods/%name

# Install icons
%__install -pD -m644 %SOURCE6 %buildroot%_miconsdir/%name.xpm
%__install -pD -m644 %SOURCE7 %buildroot%_iconsdir/%name.xpm
%__install -p -m644 %SOURCE1 %buildroot%_iconsdir/

%__install -d %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name): needs=wm section=Session/Windowmanagers icon=%name.xpm title=E-17 command=%_x11bindir/start%name
EOF

%find_lang %name

%clean

%post
/sbin/ldconfig
%update_menus
%update_wms

%postun
/sbin/ldconfig
%update_menus
%update_wms

%files -f %name.lang
%doc AUTHORS COPYING COPYING-PLAIN README
%config %_sysconfdir/X11/wmsession.d/*
%dir %_libdir/enlightenment
%_libdir/enlightenment/*
%_libdir/libe.so.*
%_menudir/%name
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm
%_x11bindir/*
%_datadir/enlightenment



%files devel
%_includedir/enlightenment/*.h
%_includedir/E.h
%_libdir/libe.so

%changelog
* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt1.20050530
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt1.20050516
- updated from cvs.


* Mon May 16 2005 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.17.0.pre10-alt1.1.20050428
-  small fixes in the spec (wmsession.d path corrected).
-  %_menudir filesystem intersections repaired.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt1.20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt1.20050428
- updated from cvs.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt1.20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0.pre10-alt1.20050421
- updated from cvs.

* Mon Apr 11 2005 Denis Klykvin <nikon@altlinux.ru> 0.17.0_pre10-alt1.cvs20050420
- Initial build from CVS

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 1:0.16.999-alt0.1_003_20050329
- updated from cvs.
- added serial due to version downgrade
- added lib%name and lib%name-devel packages

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 0.17.0-alt0.1_pre10_20050122
- updated from cvs.

* Fri Jun 13 2003 Alex Murygin <murygin@altlinux.ru> 0.17.0-alt0.1_20030613
- Updated from cvs.
- Moved to /usr/X11 dir
- added check to fam

* Sat Mar 15 2003 Alex Murygin <murygin@altlinux.ru> 0.17.0-alt0.1_20030530
- Updated from cvs.
- Fix borders
- Fix font link
- Add menu-method support
- Change standart font borzoib.ttf for n019003l.ttf (val-ttf)
- Added requires to efsd, imlib2_loaders

* Sat Nov 23 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.17.0-alt0.1_20021123
- First build for Sisyphus.
